Delete Event Definitions
post
/config/sim/v2/setup/deleteEventDefinitions
Deletes an Event Definition. If the Event Definition has linked child events, those linked child events are deleted as well. Delete fails when the event or any linked child event has started.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Event Definition delete request body.
Root Schema : schema
Type:
Show Source
object-
hierUnitId(required):
integer
Unique reference of the Property hierarchy unit where the Event Definition is configured.Example:
3599 -
objectNum(required):
integer
Object number of the Event Definition.Example:
10
Response
Supported Media Types
- application/json
200 Response
Message indicating the number of records deleted.